// 文章
import axios from "../util/ajax";

export default {
  qualificationExamine(params) {
    return axios.post('/dash/employee/qualification/examine', params)
  },
  //收费数据分析
  businessAnalysisStat(params) {
    return axios.post('/dash/charge/business/analysis/stat1', params)
  },
  //支付渠道分析
  businessAnalysisStat2(params) {
    return axios.post('/dash/charge/business/analysis/stat2', params)
  },
  //催缴情况分析
  businessAnalysisStat3(params) {
    return axios.post('/dash/charge/business/analysis/stat3', params)
  },
  // 停车运行监管-流量预警
  llyjListByPage(params) {
    return axios.get('/dash/park/monitor/alert', {params})
  },
  // 停车运行监管-泊位停车实况
  bwtcskListByPage(params) {
    return axios.get('/dash/park/monitor/berth', {params})
  },
  //资源利用分析
  parkMonitorStat(params) {
    return axios.post('/dash/park/monitor/stat', params);
  },
  //停车时长分析
  parkBehaviorDuration(params) {
    return axios.post('/dash/park/behavior/duration', params)
  },
  //停车时段分析
  parkBehaviorRange(params) {
    return axios.post('/dash/park/behavior/range', params)
  },
  //临时停车分析
  parkBehaviorTemporary(params) {
    return axios.post('/dash/park/behavior/temporary', params)
  },
  // 夜间停车分析 dash/park/behavior/night
  parkBehaviorNight(params) {
    return axios.post('/dash/park/behavior/night', params)
  },
  //泊位饱和度
  dashBerthRoadStat1(params) {
    return axios.post('/dash/berth/road/stat1', params)
  },
  //路段泊位周转率
  dashBerthRoadStat2(params) {
    return axios.post('/dash/berth/road/stat2', params)
  },
  //路内 特殊车辆进场占比
  dashBerthRoadStat3(params){
    return axios.post('/dash/berth/road/stat3', params)
  },
  //路内 路段泊位营收分析
  dashBerthRoadStat4(params){
    return axios.post('/dash/berth/road/stat4', params)
  },
  //路内 车辆出场分析
  dashBerthRoadStat5(params){
    return axios.post('/dash/berth/road/stat5', params)
  },
  //路内 路段饱和度分析
  dashBerthRoadStat6(params) {
    return axios.post('/dash/berth/road/stat6', params)
  },
  //路外 饱和度分析
  dashBertRroadOutStat1(params){
    return axios.post('/dash/berth/road/out/stat1', params)
  },
  //路外 路段泊位周转率
  dashBertRroadOutStat2(params){
    return axios.post('/dash/berth/road/out/stat2', params)
  },
  //路外 特殊车辆进场占比
  dashBertRroadOutStat3(params){
    return axios.post('/dash/berth/road/out/stat3', params)
  },
  //路外 泊位营收分析
  dashBertRroadOutStat4(params){
    return axios.post('/dash/berth/road/out/stat4', params)
  },
  //路外 车辆进出场趋势
  dashBertRroadOutStat5(params){
    return axios.post('/dash/berth/road/out/stat5', params)
  },
  //路外 路段饱和度分析
  dashBertRroadOutStat6(params){
    return axios.post('/dash/berth/road/out/stat6', params)
  },
  //非法车辆类型占比
  dashVehicleViolationsStat1(params){
    return axios.post('/dash/vehicle/violations/stat1', params)
  },
  //车辆违规停放行为占比
  dashVehicleViolationsStat2(params){
    return axios.post('/dash/vehicle/violations/stat2', params)
  },
  //车辆异常行为分析
  dashVehicleViolationsStat3(params){
    return axios.post('/dash/vehicle/violations/stat3', params)
  },
  //接入数据分析（柱状图）
  dashAccessDataAnalysisStat1(params){
    return axios.post('/dash/access/data/analysis/stat1', params)
  },
  //接入数据分析（饼图）
  dashAccessDataAnalysisStat2(params){
    return axios.post('/dash/access/data/analysis/stat2', params)
  },
  //泊位基础情况（泊位数量）
  dashBerthsInformationStat1(params){
    return axios.post('/dash/berths/information/stat1', params)
  },
  //泊位基础情况（充电桩）
  dashBerthsInformationStat2(params){
    return axios.post('/dash/berths/information/stat2', params)
  },
  //泊位基础情况（残疾车位）
  dashBerthsInformationStat3(params){
    return axios.post('/dash/berths/information/stat3', params)
  },
  //泊位使用情况（按时）
  dashBerthsUsageStat1(params){
    return axios.post('/dash/berths/usage/stat1', params)
  },
  //泊位使用情况（按日）
  dashBerthsUsageStat2(params){
    return axios.post('/dash/berths/usage/stat2', params)
  },
  //泊位使用情况（按周）
  dashBerthsUsageStat3(params){
    return axios.post('/dash/berths/usage/stat3', params)
  },
  //泊位使用情况（按月）
  dashBerthsUsageStat4(params){
    return axios.post('/dash/berths/usage/stat4', params)
  },
  //泊位使用情况（按年）
  dashBerthsUsageStat5(params){
    return axios.post('/dash/berths/usage/stat5', params)
  },

  //泊位营收情况（按时）
  dashBerthsRevenueStat1(params){
    return axios.post('/dash/berths/revenue/stat1', params)
  },
  //泊位营收情况（按日）
  dashBerthsRevenueStat2(params){
    return axios.post('/dash/berths/revenue/stat2', params)
  },
  //泊位营收情况（按周）
  dashBerthsRevenueStat3(params){
    return axios.post('/dash/berths/revenue/stat3', params)
  },
  //泊位营收情况（按月）
  dashBerthsRevenueStat4(params){
    return axios.post('/dash/berths/revenue/stat4', params)
  },
  //泊位营收情况（按年）
  dashBerthsRevenueStat5(params){
    return axios.post('/dash/berths/revenue/stat5', params)
  },
  //添加数据对接
  dashDataDockingSave(params){
    return axios.post('/dash/data/docking/save', params)
  },
  //查询数据对接
  dashDataDockingPage(params){
    return axios.get('/dash/data/docking/page', {params})
  },
  //数据对接删除
  dashDataDockingDelete(params){
    return axios.post('/dash/data/docking/delete', params)
  },
  //从业人员资质分页列表
  dashEmployeeQualificationQualifications(params){
    return axios.get('/dash/employee/qualification/page', {params})
  },
  // 新增从业人员资质
  addQualification(params){
    return axios.post('/dash/employee/qualification/add', params)
  },
  // 修改从业人员资质
  editQualification(params){
    return axios.post('/dash/employee/qualification/edit', params)
  },
  // 删除从业人员资质 /dash/employee/qualification/delete
  deleteQualification(params){
    return axios.post('/dash/employee/qualification/delete', params)
  },
  //从业人员考核
  dashEmployeeQualificationExamine(params){
    return axios.get('/dash/employee/qualification/examine/page', {params})
  },
  // 新增从业人员考核
  addExamine(params){
    return axios.post('/dash/employee/qualification/examine/add', params)
  },
  // 修改从业人员考核
  editExamine(params){
    return axios.post('/dash/employee/qualification/examine/edit', params)
  },
  // 删除从业人员考核
  deleteExamine(params){
    return axios.post('/dash/employee/qualification/examine/delete', params)
  },
  //车主停车欠费情况
  dashCarOwnerCreditPage(params){
    return axios.get('/dash/car/owner/credit/page', params)
  },
  //业务概览
  dashBusinessOverviewStat1(params){
    return axios.post('/dash/business/overview/stat1', params)
  },
  //设备情况
  dashBusinessOverviewStat2(params){
    return axios.post('/dash/business/overview/stat2', params)
  },
  //停车趋势
  dashBusinessOverviewStat3(params){
    return axios.post('/dash/business/overview/stat3', params)
  },
  //泊位周转趋势
  dashBusinessOverviewStat4(params){
    return axios.post('/dash/business/overview/stat4', params)
  },
  //泊位利用率趋势
  dashBusinessOverviewStat5(params){
    return axios.post('/dash/business/overview/stat5', params)
  },
  //实缴趋势
  dashBusinessOverviewStat6(params){
    return axios.post('/dash/business/overview/stat6', params)
  },
  //泊位实时占用率
  dashBusinessOverviewStat7(params){
    return axios.post('/dash/business/overview/stat7', params)
  },
  //动态信息监控
  dashBusinessOverviewInfoPage(params){
    return axios.get('/dash/business/overview/infoPage', {params})
  },
  // 停车场码表
  parkDic(params) {
    return axios.get(`/dash/customer/complaint/list`, {params})
  },

}
