// 文章
import axios from "../util/ajax";

export default {
  // 字典查询 /dash/ex/dict
  getDict(params) {
    return axios.get(`/dash/ex/dict/select`, {params})
  },
  // 字典增加 /dash/ex/dict
  addDict(params) {
    return axios.post(`/dash/ex/dict/add`, params)
  },
  // 停车盲点挖掘/dash/blind/spot/digging/page
  queryBlindListByPage(params) {
    return axios.get(`/dash/blind/spot/digging/page`, {params})
  },
  //停车盲点挖掘
  queryBlindContext(params) {
    return axios.post(`/dash/blind/spot/digging/stat1`, params)
  },
  //路内泊位设置推荐
  queryBerthContext(params) {
    return axios.get(`/dash/berth/recommend/page`, {params})
  },
  //路内泊位设置推荐
  queryGapMapContext(params) {
    return axios.post(`/dash/gap/analysis/stat1`, params)
  },

  //  设备运营主题(地图)
  queryServiceMap(params) {
    return axios.post(`/dash/service/operations/stat`, params)
  },
  //  设备运营主题（重点区域）
  zdqyList(params) {
    return axios.get(`/dash/service/operations/keyDevicePage`, {params})
  },
  // 设备运营主题（道路）
  dlList(params) {
    return axios.get(`/dash/service/operations/streetDevicePage`, {params})
  },
  // 区域停车主题_区域饱和度
  queryParkingArea_qybhd(params) {
    return axios.post(`/dash/parking/area/stat1`, params)
  },
  // 区域停车主题_饱和度时段分析
  queryParkingArea_bhdsdfx(params) {
    return axios.post(`/dash/parking/area/stat2`, params)
  },
  // 区域停车主题_停车热度时空分布
  queryParkingArea_Tcrdskfb(params) {
    return axios.post(`/dash/parking/area/stat3`, params)
  },
  // 运营停车场主题_停车饱和度
  queryParkingOperate_Tcbhd(params) {
    return axios.post(`/dash/parking/operate/stat1`, params)
  },
  // 运营停车场主题_停车场周转率分析
  queryParkingOperate_Tczzlfx(params) {
    return axios.post(`/dash/parking/operate/stat2`, params)
  },
  // 运营停车场主题_停车场营收分析
  queryParkingOperate_Tccysfx(params) {
    return axios.post(`/dash/parking/operate/stat3`, params)
  },
  // 运营停车场主题_特殊车辆进场占比
  queryParkingOperate_Tscljczb(params) {
    return axios.post(`/dash/parking/operate/stat4`, params)
  },
  // 运营停车场主题_车辆进出场趋势
  queryParkingOperate_Cljccqs(params) {
    return axios.post(`/dash/parking/operate/stat5`, params)
  },
  // 运营停车场主题_停车场营收对比分析
  queryParkingOperate_Tccysdbfx(params) {
    return axios.post(`/dash/parking/operate/stat6`, params)
  },
  // 泊位运营分析_泊位盈余情况
  queryBerthPerationNalysis_Bwyyqk(params) {
    return axios.post(`/dash/berth/peration/nalysis/surplus`, params)
  },
  //泊位运营分析_泊位周转率分析
  queryBerthPerationNalysis_Bwzzlfx(params) {
    return axios.post(`/dash/berth/peration/nalysis/turnover`, params)
  },
  // 收费价格监管-修改停车场收费价格
  editSfjg(params) {
    return axios.post('/dash/charge/price/edit', params)
  },
  // 收费价格监管-停车场收费价格
  sfjgListByPage(params) {
    return axios.get('/dash/charge/price/page',{params})
  },
  // 收费价格监管-车主缴费明细
  czjfmxListByPage(params) {
    return axios.get('/dash/charge/price/pay/page',{params})
  },
  // 收费价格监管_收费单价分析
  queryChargePrice_Sfdjfx(params) {
    return axios.post(`/dash/charge/price/stat`, params)
  },
  // 客户投诉监管——列表
  khtsListByPage(params) {
    return axios.get('/dash/customer/complaint/page',{params})
  },
  // 客户投诉监管_客诉登记
  khtsSave(params) {
    return axios.post(`/dash/customer/complaint/save`, params)
  },
  // 客户投诉监管_客诉登记删除
  khtsDelete(params) {
    return axios.post(`/dash/customer/complaint/delete`, params)
  },
  // 客户投诉监管_停车场码表
  parkDic(params) {
    return axios.get(`/dash/customer/complaint/list`, {params})
  },
  //客户投诉监管_客诉分析
  queryCustomerComplaint_Ksfx(params) {
    return axios.post(`/dash/customer/complaint/stat`, params)
  },
  // 设备运行监测_列表
  sbyxjcList(params) {
    return axios.get('/dash/equipment/running/page', {params})
  },
  //设备运行监测_摄像头
  queryEquipmentRunning_Sxt(params) {
    return axios.post(`/dash/equipment/running/stat1`, params)
  },
  //设备运行监测_闸机
  queryEquipmentRunning_Zj(params) {
    return axios.post(`/dash/equipment/running/stat2`, params)
  },
  //设备运行监测_满位显示器
  queryEquipmentRunning_Mwxsq(params) {
    return axios.post(`/dash/equipment/running/stat3`, params)
  },
  //技术支持功能_查询
  getSupport_get(params) {
    return axios.get(`/dash/support/page`, {params})
  },
  //技术支持功能_添加
  addSupport_save(params) {
    return axios.post(`/dash/support/save`, params)
  },
  //技术支持功能_删除
  deleteSupport_delete(params) {
    return axios.post(`/dash/support/delete`, params)
  },
  //静态资源_车场查询
  getStaticResource_Cccx(params) {
    return axios.get(`/dash/static/resource/park/page`, {params})
  },
  //静态资源_泊位查询
  getStaticResource_Bwcx(params) {
    return axios.get(`/dash/static/resource/berth/page`, {params})
  },
  //静态资源_监控查询
  getStaticResource_Jkcx(params) {
    return axios.get(`/dash/static/resource/monitor/page`, {params})
  },
  //静态资源_设备查询
  getStaticResource_Sbcx(params) {
    return axios.get(`/dash/static/resource/device/page`, {params})
  },
  //静态资源_单位查询
  getStaticResource_Dwcx(params) {
    return axios.get(`/dash/static/resource/dept/page`, {params})
  },
  //静态资源_备案资源查询
  getStaticResource_Bazycx(params) {
    return axios.get(`/dash/static/resource/icp/page`, {params})
  },
  //静态资源_普查资源查询
  getStaticResource_Pczycx(params) {
    return axios.get(`/dash/static/resource/normal/page`, {params})
  },
}
