import axios from "@/util/ajax";

export default {
  // 记录查询-车辆查询
  carListByPage(params) {
    return axios.get('/dash/record/query/berth/page', {params})
  },
  // 记录查询-轨迹查询
  gjListByPage(params) {
    return axios.get('/dash/record/query/monitor/page', {params})
  },
  // 记录查询-停车记录查询
  tcjlListByPage(params) {
    return axios.get('/dash/record/query/park/page', {params})
  },
  // 企业服务监管-列表
  qyfwjgListByPage(params) {
    return axios.get('/dash/enterprise/service/page', {params})
  },
  //  停车场情况-列表
  tccqkListByPage(params) {
    return axios.get('/dash/parking/lot/situation/page', {params})
  },
  // 停车场情况-进场
  jcListByPage(params) {
    return axios.get('/dash/parking/lot/situation/parking/inrecord', {params})
  },
  // 停车场情况-出场
  ccListByPage(params) {
    return axios.get('/dash/parking/lot/situation/parking/outrecord', {params})
  },
  // 停车场情况-总览
  tccqkView(params) {
    return axios.post('/dash/parking/lot/situation/view', {params})
  },
  // 停车收费取证主题-列表
  tcsfztListByPage(params) {
    return axios.get('/dash/parking/fee/page', {params})
  },
  // 停车饱和预警-饱和度
  tcbhyj(params) {
    return axios.post('/dash/saturation/warning/stat1', params)
  },
  // 停车饱和预警-网格化停车饱和预警
  wghtcbhyj(params) {
    return axios.get('/dash/saturation/warning/page', {params})
  },
  //  车辆迁徙分析
  clqx(params) {
    return axios.post('/dash/trck/map/stat1', params)
  },

  // 停车缺口分析-停车缺口分析
  tcqkfx(params) {
    return axios.post('/dash/gap/analysis/stat1', params)
  },
  // 停车缺口分析-停车缺口变化趋势
  tcqkbhqs(params) {
    return axios.post('/dash/gap/analysis/stat2', params)
  },
  // 停车难易指数-地图难易指数
  dtnyzs(params) {
    return axios.post('/dash/park/easy/stat1', params)
  },
  // 停车难易指数-折线图
  zxt(params) {
    return axios.post('/dash/park/easy/stat2', params)
  },
  // 全局停车诱导-地图难易指数
  nyzs(params) {
    return axios.post('/dash/park/guidance/stat', params)
  },
  //
  nyzstjListByPage(params) {
    return axios.get('/dash/park/guidance/page', {params})
  },
  // 区域停车发展分析
  qytcfzListByPage1 (params) {
    return axios.get('/dash/park/development/analysis/common', {params})
  },
  qytcfzListByPage2 (params) {
    return axios.get('/dash/park/development/analysis/development', {params})
  },
  // 路内泊位设置推荐- 停车缺口 /dash/berth/recommend/stat1
  lntcqk(params) {
    return axios.post('/dash/berth/recommend/stat1', params)
  },
  // 路内泊位设置推荐- 路内泊位
  lnbw(params) {
    return axios.get('/dash/berth/recommend/page', {params})
  },
  // 其他分析-区域分析
  qyfx(params) {
    return axios.post('/dash/other/analyse/stat1', params)
  },
  // todo 其他分析-重点车辆分析
  zdclfx(params) {
    return axios.post('/dash/other/analyse/stat10', params)
  },
  // 其他分析-车场数量
  ccsl(params) {
    return axios.post('/dash/other/analyse/stat2', params)
  },
  // 其他分析-停车分布分析
  tcfbfx(params) {
    return axios.post('/dash/other/analyse/stat3', params)
  },
  // 其他分析-余位分析
  ywfx(params) {
    return axios.post('/dash/other/analyse/stat4', params)
  },
  // 其他分析-停车热点分析
  tcrdfx(params) {
    return axios.post('/dash/other/analyse/stat5', params)
  },
  // 其他分析-车流量分析
  cllfx(params) {
    return axios.post('/dash/other/analyse/stat6', params)
  },
  // 其他分析-低利用率停车场分析图表配置
  dlyltcc(params) {
    return axios.post('/dash/other/analyse/stat7', params)
  },
  // 其他分析-高峰路线分析
  gflxfx(params) {
    return axios.post('/dash/other/analyse/stat8', params)
  },
  // 其他分析-重点车辆进场占比
  zdcljcfx(params) {
    return axios.post('/dash/other/analyse/stat9', params)
  },
  // 服务发布
  serviceListByPage(params) {
    return axios.get('/dash/service/publish/page', {params})
  },
  servicePublic(params) {
    return axios.post('/dash/service/publish/save', params)
  },
  serviceSave(params) {
    return axios.post('/dash/service/publish/save', params)
  },
  // 公告功能
  announcementListByPage(params) {
    return axios.get('/dash/announcement/function/page', {params})
  },
  announcementSave(params) {
    return axios.post('/dash/announcement/function/save', params)
  },
  // 消息中心
  messageListByPage(params) {
    return axios.get('/dash/message/page', {params})
  },
  // 服务监控
  monitorListByPage(params) {
    return axios.get('/dash/service/monitor/page', {params})
  },
  // 凭证管理
  pzglListByPage(params) {
    return axios.get('/dash/credential/management/function/page', {params})
  },
  deletePz(params) {
    return axios.post('/dash/credential/management/function/delete', params)
  },
  addPz(params) {
    return axios.post('/dash/credential/management/function/save', params)
  },
  // 服务订阅 /dash/service/subscription/function/page
  subscriptionListByPage (params) {
    return axios.get('/dash/service/subscription/function/page', {params})
  },
  subscription(params) {
    return axios.post('/dash/service/subscription/function/subscription', params)
  },
  unsubscription(params) {
    return axios.post('/dash/service/subscription/function/unsubscription', params)
  },
  // IP白名单-列表接口
  ipListByPage(params) {
    return axios.get('/dash/ip/white/list/page', {params})
  },
  // IP白名单-删除接口
  deleteWhiteIp(params) {
    return axios.post('/dash/ip/white/list/delete', params)
  },
  // IP白名单-新增接口
  addWhiteIp(params) {
    return axios.post('/dash/ip/white/list/save', params)
  },
  // 服务调用功能
  fwdy(params) {
    return axios.post('/dash/service/call/function/call', params)
  },
  // 操作日志功能
  czrzListByPage(params) {
    return axios.get('/dash/operation/log/page', {params})
  },
  czrzDetail(params) {
    return axios.post('/dash/operation/log/detail', params)
  },
  // 车主信用监管
  czxyjgListByPage(params) {
    return axios.get('/dash/car/owner/credit/page', {params})
  },
  // 车主信用监管_添加
  addCzxyjg(params) {
    return axios.post(`/dash/car/owner/credit/add`, params)
  },
  // 车主信用监管_修改
  editCzxyjg(params) {
    return axios.post(`/dash/car/owner/credit/edit`, params)
  },
  // 车主信用监管_删除
  deleteCzxyjg(params) {
    return axios.post(`/dash/car/owner/credit/delete`, params)
  },
  // 车主信用监管—_配置详情
  czxyjgConfig(params) {
    return axios.get('/dash/car/owner/credit/getConfig', {params})
  },
  // 车主信用监管—_修改配置详情
  editCzxyjgConfig(params) {
    return axios.post('/dash/car/owner/credit/saveConfig', params)
  },
  // 收费趋势
  sfqs(params) {
    return axios.post('/dash/business/conditions/stat1', params)
  },
  // 车辆类型
  cllx(params) {
    return axios.post('/dash/business/conditions/stat2', params)
  },
  // 经营情况_列表
  jyqk(params) {
    return axios.get('/dash/business/conditions/page', {params})
  },
  // 停车热力图_当前
  tcrlt1() {
    return axios.post('/opt/parking/heatmap/stat1')
  },
  //  停车热力图_预计未来一周
  tcrlt2() {
    return axios.post('/opt/parking/heatmap/stat2')
  },
  // 停车场分析报表
  tccfxbbListByPage(params) {
    return axios.get('/opt/parking/analysis/report/page', {params})
  },
  // 停车时段分析_停车高峰时段分析
  tcsdfx1() {
    return axios.post('/opt/parking/period/analysis/stat1')
  },
  // 停车时段分析_出入场压力分析
  tcsdfx2() {
    return axios.post('/opt/parking/period/analysis/stat2')
  },
  // 停车时段分析_停车饱和度分析
  tcsdfx3() {
    return axios.post('/opt/parking/period/analysis/stat3')
  },
  // 停车实况分析_泊位占用率
  tcskfx1() {
    return axios.post('/opt/parking/live/stat1')
  },
  // 停车实况分析_在场会员车占比
  tcskfx2() {
    return axios.post('/opt/parking/live/stat2')
  },
  // 停车实况分析_进出场趋势
  tcskfx3() {
    return axios.post('/opt/parking/live/stat3')
  },
  // 泊位利用分析_泊位利用率变化趋势
  bwlyfx(params) {
    return axios.get('/opt/berth/use/list1', {params})
  },
  // 停车总分析_停车利用率
  tclyl(params) {
    return axios.get('/opt/access/parking/analysis/page1', {params})
  },
  // 停车总分析_停车记录
  tcjl(params) {
    return axios.get('/opt/access/parking/analysis/page', {params})
  },
  // 停车总分析_停车难易指数变化趋势
  tczfx1(params) {
    return axios.post('/opt/access/parking/analysis/stat1', params)
  },
  // 停车总分析_停车利用率
  tczfx2(params) {
    return axios.post('/opt/access/parking/analysis/stat2', params)
  },
  // 停车总分析_停车场总览
  tczfx3(params) {
    return axios.get('/opt/access/parking/analysis/view', {params})
  },
  // 停车时长分析
  tcscfx(params) {
    return axios.post('/opt/parking/time/analysis/stat1', params)
  },
  // 停车时长分析_周转次数排行
  tcscfxList1(params) {
    return axios.get('/opt/parking/time/analysis/list1', {params})
  },
  // 停车时长分析_停车时长排行
  tcscfxList2(params) {
    return axios.get('/opt/parking/time/analysis/list2', {params})
  },
  // 临时停车统计_临时停车统计
  lstctj1(params) {
    return axios.post('/opt/parking/temp/stat1', params)
  },
  // 临时停车统计_过去30日临时停车趋势
  lstctj2(params) {
    return axios.post('/opt/parking/temp/stat2', params)
  },
  // 泊位周转分析_车流量趋势
  bwzzfx1(params) {
    return axios.post('/opt/berth/turnover/stat1', params)
  },
  // 泊位周转分析_泊位周转率变化趋势
  bwzzfx2(params) {
    return axios.post('/opt/berth/turnover/stat2', params)
  },
  // 停车场泊位分析
  tccbwfx(params) {
    return axios.post('/opt/parking/lot/stat1', params)
  },
  // 夜间停车统计_日夜间停车总小时数
  yjtctj1(params) {
    return axios.post('/opt/parking/night/stat1', params)
  },
  // 夜间停车统计_停车时长
  yjtctjListByPage(params) {
    return axios.get('/opt/parking/night/page', {params})
  },
  // 车辆类型_新能源车占比
  cllx1(params) {
    return axios.post('/opt/vehicle/type/stat1', params)
  },
  // 车辆类型_车型分类
  cllx2(params) {
    return axios.post('/opt/vehicle/type/stat2', params)
  },
  // 车辆类型_新能源趋势
  cllx3(params) {
    return axios.post('/opt/vehicle/type/stat3', params)
  },
  // 车辆类型_新能源车排名
  cllx4(params) {
    return axios.post('/opt/vehicle/type/stat4', params)
  },
  // 欠费总分析_欠费金额占比
  qfzfx1(params) {
    return axios.post('/opt/arrears/total/stat1', params)
  },
  // 欠费总分析_欠费条数占比
  qfzfx2(params) {
    return axios.post('/opt/arrears/total/stat2', params)
  },
  // 欠费总分析_欠费车场排行
  qfzfx3(params) {
    return axios.post('/opt/arrears/total/stat3', params)
  },
  // 欠费总分析_ 欠费车牌排行榜
  qfzfx4(params) {
    return axios.post('/opt/arrears/total/stat4', params)
  },
  // 欠费总分析_欠费金额趋势分析
  qfzfx5(params) {
    return axios.post('/opt/arrears/total/stat5', params)
  },
  // 欠费历史分析
  qflsfx(params) {
    return axios.post('/opt/arrears/trend/stat1', params)
  },
  // 城市欠费分析
  csqffx(params) {
    return axios.post('/opt/city/arrears/stat1', params)
  },
  // 欠费追缴分析
  qfzjfx(params) {
    return axios.post('/opt/city/pay/stat1', params)
  },
  // 城市收入统计
  cssrtj(params) {
    return axios.post('/opt/city/contrast/stat1', params)
  },
  // 城市统计分析_城市统计分析
  cstjfx1(params) {
    return axios.post('/opt/urban/statisics/stat1', params)
  },
  // 城市统计分析_列表
  cstjfx2(params) {
    return axios.post('/opt/urban/statisics/stat2', params)
  },
  // 客单价分析
  kdjfx(params) {
    return axios.post('/opt/customer/price/analysis/stat1', params)
  },
  // 设备运行统计
  sbyxtj(params) {
    return axios.post('/opt/device/report/stat1', params)
  },
  // 停车分析
  tcfx(params) {
    return axios.post('/opt/parking/stat1', params)
  },
  // 停车场码表
  parkDic(params) {
    return axios.get(`/dash/customer/complaint/list`, {params})
  },
  // 事件添加
  addEvent(params) {
    return axios.post(`/dash/event/monitoring/ex/add`, params)
  },
  // 事件查询
  eventList(params) {
    return axios.get(`/dash/event/monitoring/ex/page`, {params})
  },
  // 事件删除   /dash/event/monitoring/ex/delete
  deleteEvent(params) {
    return axios.post(`/dash/event/monitoring/ex/delete`, params)
  },
  // 事件修改
  editEvent(params) {
    return axios.get(`/dash/event/monitoring/ex/edit`, params)
  },
  // 企业服务监管-评分机制配置
  getPfjzList(params) {
    return axios.get(`/dash/enterprise/service/config/page`, {params})
  },
  // 企业服务监管-增加评分机制配置
  addPfjz(params) {
    return axios.post(`/dash/enterprise/service/config/add`, params)
  },
  // 企业服务监管-修改评分机制配置
  editPfjz(params) {
    return axios.post(`/dash/enterprise/service/config/edit`, params)
  },
  // 企业服务监管-删除评分机制配置
  deletePfjz(params) {
    return axios.post(`/dash/enterprise/service/config/delete`, params)
  },
  // 服务评价
  getPjjzDic(params) {
    return axios.get(`/dash/enterprise/service/config/select`, {params})
  },
  // 服务评价
  getPj(params) {
    return axios.get(`/dash/enterprise/service/evaluation/page`, {params})
  },
  // 新增评价
  addPj(params) {
    return axios.post('/dash/enterprise/service/evaluation/add', params)
  },
  // 修改评价
  editPj(params) {
    return axios.post('/dash/enterprise/service/evaluation/edit', params)
  },
  // 修改评价
  deletePj(params) {
    return axios.post('/dash/enterprise/service/evaluation/delete', params)
  },
  // 事件监测
  getEventMonitoring(params) {
    return axios.get(`/dash/event/monitoring/page`, {params})
  },
  // 全局停车诱导-地图难易指数
  getEventStat1(params) {
    return axios.post('/dash/event/monitoring/stat1', params)
  },
  getEventStat2(params) {
    return axios.post('/dash/event/monitoring/stat2', params)
  },
}
